Name: qedje
Version: 0.4.0
Release: %mkrel 7
License: GPL
Group: Development/KDE and Qt 
Summary: QEdje - Declarative language
Source: %name-%version.tar.xz
Patch0:       qedje-0.4.0-fix-install.patch
Url: http://code.openbossa.org/projects/qedje
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: qzion-devel
BuildRequires: eet-devel
%define __libtoolize    /bin/true

%description
Edje is a declarative language that simplifies the development of 
complex interfaces separating the UI design from the application 
logic, by providing animations, layouts and simple scripts in a 
very small memory footprint.

%files
%defattr(-,root,root)
%_kde_bindir/qedje_viewer

#------------------------------------------------

%define libqedje_major 0
%define libqedje %mklibname qedje %{libqedje_major}

%package -n %libqedje
Summary: qedjelibrary
Group: System/Libraries
Requires:	eet >= 20100515
Requires:	eina >= 20100515

%description -n %libqedje
qedje library.


%files -n %libqedje
%defattr(-,root,root)
%_kde_libdir/libqedje.so.%{libqedje_major}*

#-----------------------------------------------

%package   devel
Summary:   Devel stuff for kdebase 4
Group:     Development/KDE and Qt
Requires:  %libqedje = %version
Requires:  eina-devel
Requires:  qzion-devel
Requires:  eet-devel

%description  devel
Devel packages needed to build qedje apps

%files devel
%defattr(-,root,root)
%_kde_includedir/*.h
%_kde_libdir/pkgconfig/qedje.pc
%_kde_libdir/libqedje.so

#------------------------------------------------

%prep
%setup -q -n %name-mainline
%patch0 -p1

%build
%cmake_qt4 -DBUILD_TOOLS=TRUE
%make

%install
rm -rf %{buildroot}
cd build
make DESTDIR=%buildroot install

%clean
rm -rf %buildroot


%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 0.4.0-7pclos2010
- rebuild ldap

* Fri Jun 25 2010 Texstar <texstar at gmail.com> 0.4.0-6pclos2010
- rebuild against updated e17 libs

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.4.0-5pclos2010
- add explicit dependencies on e17 libs

* Fri May 14 2010 Texstar <texstar at gmail.com> 0.4.0-4pclos2010
- rebuild

* Fri Aug 21 2009 Texstar <texstar@gmail.com> 0.4.0-3pclos2009
- rebuild

* Sat Jun 13 2009 Texstar <texstar@gmail.com> 0.4.0-2pclos2009
- rebuild and add dependencies

* Fri Apr 10 2009 pcserver <pcserver@hushmail.com> 0.4.0-1pclos2007
- create


